# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'M:\FMS\trunk\launcher\fms_launcher.ui'
#
# Created by: PyQt5 UI code generator 5.5.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(771, 381)
        Dialog.setMinimumSize(QtCore.QSize(771, 381))
        Dialog.setMaximumSize(QtCore.QSize(771, 381))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/images/fms-icon-desktop.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        Dialog.setWindowIcon(icon)
        self.tabWidget = QtWidgets.QTabWidget(Dialog)
        self.tabWidget.setGeometry(QtCore.QRect(0, 0, 771, 381))
        self.tabWidget.setTabPosition(QtWidgets.QTabWidget.West)
        self.tabWidget.setObjectName("tabWidget")
        self.tabSettings = QtWidgets.QWidget()
        self.tabSettings.setObjectName("tabSettings")
        self.tableWidget = QtWidgets.QTableWidget(self.tabSettings)
        self.tableWidget.setGeometry(QtCore.QRect(20, 120, 700, 236))
        self.tableWidget.setMinimumSize(QtCore.QSize(700, 236))
        self.tableWidget.setMaximumSize(QtCore.QSize(700, 236))
        self.tableWidget.setObjectName("tableWidget")
        self.tableWidget.setColumnCount(0)
        self.tableWidget.setRowCount(0)
        self.labelTools = QtWidgets.QLabel(self.tabSettings)
        self.labelTools.setGeometry(QtCore.QRect(20, 100, 71, 16))
        self.labelTools.setObjectName("labelTools")
        self.pushButtonKeys = QtWidgets.QPushButton(self.tabSettings)
        self.pushButtonKeys.setGeometry(QtCore.QRect(580, 60, 141, 23))
        self.pushButtonKeys.setObjectName("pushButtonKeys")
        self.pushButtonTest = QtWidgets.QPushButton(self.tabSettings)
        self.pushButtonTest.setGeometry(QtCore.QRect(580, 20, 141, 23))
        self.pushButtonTest.setObjectName("pushButtonTest")
        self.comboBoxServer = QtWidgets.QComboBox(self.tabSettings)
        self.comboBoxServer.setGeometry(QtCore.QRect(20, 30, 181, 22))
        self.comboBoxServer.setObjectName("comboBoxServer")
        self.labelSSHKey = QtWidgets.QLabel(self.tabSettings)
        self.labelSSHKey.setGeometry(QtCore.QRect(310, 10, 131, 16))
        self.labelSSHKey.setObjectName("labelSSHKey")
        self.lineEditPort = QtWidgets.QLineEdit(self.tabSettings)
        self.lineEditPort.setGeometry(QtCore.QRect(210, 30, 31, 20))
        self.lineEditPort.setObjectName("lineEditPort")
        self.labelHostname = QtWidgets.QLabel(self.tabSettings)
        self.labelHostname.setGeometry(QtCore.QRect(20, 10, 141, 16))
        self.labelHostname.setObjectName("labelHostname")
        self.lineEditSSHKey = QtWidgets.QLineEdit(self.tabSettings)
        self.lineEditSSHKey.setGeometry(QtCore.QRect(310, 30, 241, 20))
        self.lineEditSSHKey.setObjectName("lineEditSSHKey")
        self.labelPort = QtWidgets.QLabel(self.tabSettings)
        self.labelPort.setGeometry(QtCore.QRect(210, 10, 47, 13))
        self.labelPort.setObjectName("labelPort")
        self.pushButtonAddServer = QtWidgets.QPushButton(self.tabSettings)
        self.pushButtonAddServer.setGeometry(QtCore.QRect(20, 60, 110, 23))
        self.pushButtonAddServer.setObjectName("pushButtonAddServer")
        self.pushButtonBrowse = QtWidgets.QPushButton(self.tabSettings)
        self.pushButtonBrowse.setGeometry(QtCore.QRect(310, 60, 111, 23))
        self.pushButtonBrowse.setObjectName("pushButtonBrowse")
        self.pushButtonSaveServer = QtWidgets.QPushButton(self.tabSettings)
        self.pushButtonSaveServer.setGeometry(QtCore.QRect(140, 60, 110, 23))
        self.pushButtonSaveServer.setObjectName("pushButtonSaveServer")
        self.tabWidget.addTab(self.tabSettings, "")
        self.tabLauncher = QtWidgets.QWidget()
        self.tabLauncher.setObjectName("tabLauncher")
        self.label_2 = QtWidgets.QLabel(self.tabLauncher)
        self.label_2.setEnabled(True)
        self.label_2.setGeometry(QtCore.QRect(-10, -50, 791, 451))
        self.label_2.setText("")
        self.label_2.setPixmap(QtGui.QPixmap(":/images/background.png"))
        self.label_2.setScaledContents(True)
        self.label_2.setObjectName("label_2")
        self.label = QtWidgets.QLabel(self.tabLauncher)
        self.label.setGeometry(QtCore.QRect(10, 0, 441, 81))
        self.label.setText("")
        self.label.setPixmap(QtGui.QPixmap(":/images/mfmlogo.png"))
        self.label.setObjectName("label")
        self.textBrowserOutput = QtWidgets.QTextBrowser(self.tabLauncher)
        self.textBrowserOutput.setGeometry(QtCore.QRect(20, 80, 451, 221))
        self.textBrowserOutput.setObjectName("textBrowserOutput")
        self.progressBar = QtWidgets.QProgressBar(self.tabLauncher)
        self.progressBar.setGeometry(QtCore.QRect(20, 310, 701, 20))
        self.progressBar.setProperty("value", 24)
        self.progressBar.setTextVisible(False)
        self.progressBar.setObjectName("progressBar")
        self.pushButtonFMS = QtWidgets.QPushButton(self.tabLauncher)
        self.pushButtonFMS.setEnabled(True)
        self.pushButtonFMS.setGeometry(QtCore.QRect(390, 340, 225, 30))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(100)
        sizePolicy.setVerticalStretch(30)
        sizePolicy.setHeightForWidth(self.pushButtonFMS.sizePolicy().hasHeightForWidth())
        self.pushButtonFMS.setSizePolicy(sizePolicy)
        self.pushButtonFMS.setMinimumSize(QtCore.QSize(225, 30))
        self.pushButtonFMS.setMaximumSize(QtCore.QSize(225, 16777215))
        self.pushButtonFMS.setObjectName("pushButtonFMS")
        self.pushButtonClose = QtWidgets.QPushButton(self.tabLauncher)
        self.pushButtonClose.setGeometry(QtCore.QRect(620, 340, 100, 30))
        self.pushButtonClose.setMinimumSize(QtCore.QSize(100, 30))
        self.pushButtonClose.setMaximumSize(QtCore.QSize(100, 30))
        self.pushButtonClose.setDefault(False)
        self.pushButtonClose.setObjectName("pushButtonClose")
        self.textBrowserNews = QtWidgets.QTextBrowser(self.tabLauncher)
        self.textBrowserNews.setGeometry(QtCore.QRect(480, 80, 241, 221))
        self.textBrowserNews.setOpenExternalLinks(True)
        self.textBrowserNews.setObjectName("textBrowserNews")
        self.labelVersion = QtWidgets.QLabel(self.tabLauncher)
        self.labelVersion.setGeometry(QtCore.QRect(540, 30, 181, 41))
        self.labelVersion.setStyleSheet("color: #e5e5e5;\n"
"font-size: 42px;")
        self.labelVersion.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelVersion.setObjectName("labelVersion")
        self.tabWidget.addTab(self.tabLauncher, "")

        self.retranslateUi(Dialog)
        self.tabWidget.setCurrentIndex(1)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "M&FM Tools Manager"))
        self.labelTools.setText(_translate("Dialog", "Lab Tools:"))
        self.pushButtonKeys.setText(_translate("Dialog", "Generate SSH Keys"))
        self.pushButtonTest.setText(_translate("Dialog", "Test Connection"))
        self.labelSSHKey.setText(_translate("Dialog", "Private SSH Key:"))
        self.labelHostname.setText(_translate("Dialog", "Server Hostname:"))
        self.labelPort.setText(_translate("Dialog", "Port:"))
        self.pushButtonAddServer.setText(_translate("Dialog", "Add Server"))
        self.pushButtonBrowse.setText(_translate("Dialog", "Browse..."))
        self.pushButtonSaveServer.setText(_translate("Dialog", "Save Server"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tabSettings), _translate("Dialog", "Settings"))
        self.pushButtonFMS.setText(_translate("Dialog", "Launch Virtual Machine"))
        self.pushButtonClose.setText(_translate("Dialog", "Close"))
        self.labelVersion.setText(_translate("Dialog", "A.244"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tabLauncher), _translate("Dialog", "Launcher"))

import fms_resources_rc

if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    Dialog = QtWidgets.QDialog()
    ui = Ui_Dialog()
    ui.setupUi(Dialog)
    Dialog.show()
    sys.exit(app.exec_())

